NXOpen.UF.Sf.CreateWeldMesh

Sf.CreateWeldMesh()

Refer to UF_SF_create_weld_mesh for documentation.

Signature: CreateWeldMesh(meshData, orientData, numObjects, objArray, numTopFaces, topFaceArray, numBotFaces, botFaceArray)

Parameters:
  • meshData (NXOpen.UF.Sf.Sf1dMeshData Refer to UF_SF_1d_mesh_data_s for documentation.) – UF_SF_1d_mesh_data_t
  • orientData (NXOpen.UF.Sf.OrientationData Refer to UF_SF_orientation_data_s for documentation.) – Pass NULL for default orientation not required.
  • numObjects (int) – Number of points/curves.
  • objArray (list of Tag) – Array of tags to the points/curves.
  • numTopFaces (int) – Number of top polygon faces.
  • topFaceArray (list of Tag) – Array of tags to the top polygon faces.
  • numBotFaces (int) – Number of bottom polygon faces.
  • botFaceArray (Tag) – Array of tags to the bottom polygon faces.
Returns:

Tag of new mesh.

Return type:

Tag

License requirements: None